
GammaLib - Action #1349

GApplication::log_parameters should only dump parameters that were queried or that are hidden

10/30/2014 02:36 PM - Knödlseder Jürgen

Status: Closed Start date: 10/30/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

GApplication::log_parameters shows in fact all parameters, also those that are not actually used. Parameter logging should be

limited (at least by default) to only those parameters that were queried and the ones that are hidden. Only in that way the user gets a

coherent picture about the parameters that are actually used in a ctool.

Related issues:

Related to ctools - Change request # 564: ctbin should read input FITS file d... Rejected 10/13/2012

History

#1 - 02/02/2015 11:41 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The GApplication::log_parameters() method now dumps [not queried] for all parameters that have not yet been queried.

#2 - 02/02/2015 11:42 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Remaining (hours) set to 0.0

Merged into devel.
